Name:          meld
Version:       3.12.1
Release:       1mamba
Summary:       A visual diff and merge tool
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://meld.sourceforge.net/
Source:        http://ftp.gnome.org/pub/gnome/sources/meld/%{majorminor}/meld-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: libscrollkeeper-devel
BuildRequires: intltool
Requires:      python
Requires:      patch
Requires:      pygobject
Requires:      pygtk
Requires:      pygtksourceview
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
Meld is a visual diff and merge tool.
You can compare two or three files and edit them in place (diffs update dynamically).
You can compare two or three folders and launch file comparisons.
You can browse and view a working copy from popular version control systems such such as CVS, Subversion, Bazaar-ng and Mercurial.

%prep
%setup -q
#sed -i "s|update-mime-database|/bin/true|" Makefile
#sed -i "s|update-desktop-database|/bin/true|" Makefile

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py \
   --no-update-icon-cache \
   --no-compile-schemas \
   install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

# remove scrollkeeper files
rm -rf %{buildroot}%{_prefix}%{_localstatedir}/lib/scrollkeeper

# install manual page
install -D -m0664 meld.1 \
  %{buildroot}%{_mandir}/man1/meld.1

#%find_lang %{name}

%post
if [ $1 -ge 1 ]; then
   glib-compile-schemas /usr/share/glib-2.0/schemas
fi
:

%postun
if [ $1 -eq 0 ]; then
   glib-compile-schemas /usr/share/glib-2.0/schemas
fi
:

%files
#-f %{name}.lang
%defattr(-,root,root)
%{_bindir}/meld
%{_datadir}/meld
%{python_sitearch}/meld-%{version}-py*.egg-info
%dir %{python_sitearch}/meld
%{python_sitearch}/meld/*
%{_mandir}/man1/*
%doc COPYING

%changelog
* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.1-1mamba
- update to 3.12.1

* Sat Mar 08 2014 Automatic Build System <autodist@mambasoft.it> 3.11.0-1mamba
- automatic version update by autodist

* Wed Jan 22 2014 Automatic Build System <autodist@mambasoft.it> 1.8.4-1mamba
- automatic version update by autodist

* Sun Dec 15 2013 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Fri Oct 18 2013 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Mon Sep 23 2013 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 1.7.5-1mamba
- automatic version update by autodist

* Sun Jul 28 2013 Automatic Build System <autodist@mambasoft.it> 1.7.4-1mamba
- automatic version update by autodist

* Tue Jun 04 2013 Automatic Build System <autodist@mambasoft.it> 1.7.3-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic version update by autodist

* Sun Mar 03 2013 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Tue Nov 06 2012 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Tue Oct 23 2012 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Tue Jul 03 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.6.0-1mamba
- update to 1.6.0

* Tue Jul 26 2011 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- update to 1.5.2

* Fri May 20 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.5.1-1mamba
- package created by autospec
